// component/stepper/stepper.js
Component({
  data: {
    num: 1
  },
  /**
   * 组件的方法列表
   */
  methods: {
    bindadd() {
      this.setData({
        num: this.data.num + 1
      })

      this.triggerEvent('stepperChanged', this.data.num)
    },

    bindminus() {
      if (this.data.num === 1) {
        wx.showToast({
          title: '数量至少为1',
          icon: 'none'
        })
        return
      }
      this.setData({
        num: this.data.num - 1
      })

      this.triggerEvent('stepperChanged', this.data.num)
    }
  }
})
