const config = require('../brand/config.js')

module.exports = {
  // 小程序登录接口
  MINI_LOGIN_API_URL: `${config.baseURL}/api/mini/login`,
  MINI_USERINFO: `${config.baseURL}/api/mini/userinfo`,

  PACK: `${config.baseURL}/api/pack`,
  ORDER_CREATE: `${config.baseURL}/api/pay/wx/order_create`,
  ORDER_CANCEL: `${config.baseURL}/api/pay/wx/order/cancel`,

  LIVE: {
    ANCHOR_DETAIL: `${config.baseURL}/api/live/anchor/detail`,
    GOODS_DETAIL: `${config.baseURL}/api/live/goods/detail`,
    ORDER_CREATE: `${config.baseURL}/api/live/order/create`,
    ORDER_CANCEL: `${config.baseURL}/api/live/order/cancel`,
    ROOM_ANCHOR: `${config.baseURL}/api/live/room/anchor/detail`,
    LOGIN: `${config.baseURL}/api/mini/live/login`
  }
}
