// component/btnFooter-protocol/btnFooter-protocol.js
Component({
  /**
   * Component properties
   */
  properties: {
    btnClass: {
      type: String,
      value: 'button1'
    },

    btnTxt: {
      type: String,
      value: '确认'
    },

    btnDisalbed: {
      type: Boolean,
      value: false,
      observer(newVal, _) {
        this.setData({
          disabled: newVal && this.data.protocolImg === 2
        })
      }
    },

    openType: {
      type: String,
      value: ''
    }
  },

  /**
   * Component initial data
   */
  data: {
    protocolImg: 2,
    disabled: false
  },

  /**
   * Component methods
   */
  methods: {
    switchAuthorization() {
      this.setData({
        disabled: this.data.protocolImg !== 1 || this.data.btnDisalbed,
        protocolImg: 3 - this.data.protocolImg
      })
    },

    openUrl(e) {
      wx.navigateTo({
        url: `/template/webView/webView?url=${e.currentTarget.dataset.url}`
      })
    },

    confirm(e) {
      this.triggerEvent('action', e)
    }
  }
})
